{
"success": false,
"errors": [
{
"code": "METHOD_NOT_SUPPORTED",
"message": "HttpMethod is not supported. Supported methods are [..]"
}
]
}
{
"success": false,
"errors": [
{
"code": "OPTIMISTIC_LOCK_EXCEPTION",
"message": "The resource has been modified. Please fetch the latest version and retry."
}
]
}
{
"success": false,
"errors": [
{
"code": "METHOD_NOT_SUPPORTED",
"message": "HttpMethod is not supported. Supported methods are [..]"
}
]
}
{
"success": false,
"errors": [
{
"code": "OPTIMISTIC_LOCK_EXCEPTION",
"message": "The resource has been modified. Please fetch the latest version and retry."
}
]
}
{
"success": false,
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"message": "A description of the error (optional)"
}
]
}
A Company Admin approves a request created by a Manager. After approval the status changes to AWAITING_FUNDS and deposit details are returned — a bank account for on-ramp, a wallet address for off-ramp. Send the current version for optimistic locking.Concept guide:Transactions
Requires the COMPANY_ADMIN role. Once approved, a request moves to AWAITING_FUNDS and can no longer be cancelled.
Complete ramp request details including status, amounts, and event history
Show child attributes
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Venly Finance","colors":{"primary":"#e07826","light":"#f0a060","dark":"#c56820"},"logo":{"light":"https://mintcdn.com/venly/NZGy1d4c4LA-0jM9/logo/light_venly_logo.png?fit=max\u0026auto=format\u0026n=NZGy1d4c4LA-0jM9\u0026q=85\u0026s=d808fd8f702829ca93bf607f200800bb","dark":"https://mintcdn.com/venly/NZGy1d4c4LA-0jM9/logo/dark_venly_logo.png?fit=max\u0026auto=format\u0026n=NZGy1d4c4LA-0jM9\u0026q=85\u0026s=3bafc93202007edf53e789ed58bc7002","href":"https://venlyfinance.com"},"favicon":"https://mintcdn.com/venly/MUxny2c1OXcZxLbW/logo/favicon_logo.png?fit=max\u0026auto=format\u0026n=MUxny2c1OXcZxLbW\u0026q=85\u0026s=892dd58ed49fe804011fcf42f60f82d4","api":{"playground":{"display":"interactive"}},"navbar":{"primary":{"type":"button","label":"Venly","href":"https://venlyfinance.com"}},"footer":{"socials":{"x":"https://x.com/Venly_io","linkedin":"https://be.linkedin.com/company/venly-io"}},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Blog","icon":"newspaper","href":"https://venlyfinance.com/blog"},{"anchor":"Support","icon":"envelope","href":"https://venlyfinance.com/contact"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"venly","hasAudioNarration":false,"actualSubdomain":"venly","customDomains":["docs.venlyfinance.com"],"gitSource":{"type":"github","owner":"venly","repo":"mintlify-api-docs-main","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ad0bd1e4dcba6f2ddf906eb","clientVersion":"0.0.4094","searchFilterCounts":[{"language":"default","tag":"Finance API","count":98},{"language":"default","tag":"Fundflow API","count":45},{"language":"default","tag":"Parties","count":13},{"language":"default","tag":"Core Concepts","count":13},{"language":"default","tag":"Ramp Requests","count":12},{"language":"default","tag":"Overview","count":10},{"language":"default","tag":"Webhooks","count":9},{"language":"default","tag":"Onboarding \u0026 Verification","count":9},{"language":"default","tag":"Accounts","count":6},{"language":"default","tag":"Getting Started","count":6}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/Fundflow-API/ramp-requests/approve-a-ramp-request","slug":"/api-reference/Fundflow-API/ramp-requests/approve-a-ramp-request","pageMetadata":{"title":"Approve a ramp request","description":"Approve a pending request to move it to AWAITING_FUNDS.","openapi":"api-reference/Fundflow-API.yaml POST /v1/ramp-requests/{id}/approve","href":"/api-reference/Fundflow-API/ramp-requests/approve-a-ramp-request"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Approve a pending request to move it to AWAITING_FUNDS.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,strong:`strong`,..._provideComponents(),...props.components},{Note}=_components;if(!Note)_missingMdxReference(`Note`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`A Company Admin approves a request created by a Manager. After approval the status changes to `,_jsx(_components.code,{children:`AWAITING_FUNDS`}),` and deposit details are returned — a bank account for on-ramp, a wallet address for off-ramp. Send the current `,_jsx(_components.code,{children:`version`}),` for optimistic locking.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Concept guide:`}),` `,_jsx(_components.a,{href:`/guides/payments/transactions`,children:`Transactions`})]}),`\n`,_jsxs(Note,{children:[`Requires the `,_jsx(_components.code,{children:`COMPANY_ADMIN`}),` role. Once approved, a request moves to `,_jsx(_components.code,{children:`AWAITING_FUNDS`}),` and can no longer be cancelled.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Approve a ramp request","description":"Approve a pending request to move it to AWAITING_FUNDS.","openapi":"api-reference/Fundflow-API.yaml POST /v1/ramp-requests/{id}/approve","href":"/api-reference/Fundflow-API/ramp-requests/approve-a-ramp-request"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Ramp Requests"],"summary":"Approve a ramp request","description":"Approve a pending request to move it to AWAITING_FUNDS.","operationId":"approveRampRequest","security":["fd40d82b-fc80-4570-b639-231726374327"],"parameters":["91e66355-552f-4050-8ffb-ae1000d678c7"],"requestBody":"ff417f12-402f-41e2-9ac9-530758f55598","responses":{"200":"58c81431-3c42-48dc-a551-39321b3019fd","400":"e9376a17-e70f-46d4-b13d-228a417a0965","401":"56d3fbad-0b77-4e4f-96bf-b3f5d8e6a5fc","403":"e2352109-2093-4a0c-8356-d5449274b1ea","404":"a01b986f-1c5c-4154-bd35-683fd4792887","405":"f1ef276f-98f6-40b4-aa3e-cd909ba7788c","409":"6e459759-b624-4d11-9840-5cc472a87788","415":"34bebbba-5fad-4001-af91-a8420f809711","500":"df01ed12-de12-43d6-8eb9-2937f9a19b2b"},"method":"post","type":"path","servers":["d463203b-a1df-4784-bef1-613efa41e537","1644619c-428a-4b27-84dd-626ab5e21547"],"path":"/v1/ramp-requests/{id}/approve","baseUrlOptions":["https://api-fundflow.venly.io","https://api-fundflow-staging.venly.io"],"title":"Approve a ramp request","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"91e66355-552f-4050-8ffb-ae1000d678c7":{"name":"id","in":"path","description":"Unique identifier of the ramp request","required":true,"schema":{"type":"string","format":"uuid","isRequired":true,"description":"Unique identifier of the ramp request","uniqueKey":"","typeLabel":"string\u003cuuid>"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","title":"Update with Optimistic Locking","description":"Request containing only the version number for optimistic locking control","required":["version"],"properties":{"version":{"type":"integer","format":"int64","description":"Version number for optimistic locking. Must match the current version of the entity.\nIf a version conflict occurs, fetch the latest version and retry.\n","isRequired":true,"uniqueKey":"version","typeLabel":"integer\u003cint64>"}},"uniqueKey":"","typeLabel":"Update with Optimistic Locking · object"},"examples":{"Example":{"title":"Example","value":{"version":123}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"58c81431-3c42-48dc-a551-39321b3019fd":{"description":"Ramp request successfully approved","content":{"*/*":{"schema":{"type":"object","properties":{"success":{"type":"boolean","default":true,"uniqueKey":"success","typeLabel":"boolean"},"result":{"type":"object","description":"Complete ramp request details including status, amounts, and event history","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier","uniqueKey":"result.id","typeLabel":"string\u003cuuid>"},"companyId":{"type":"string","format":"uuid","description":"Associated company ID","uniqueKey":"result.companyId","typeLabel":"string\u003cuuid>"},"companyName":{"type":"string","description":"Name of the company","uniqueKey":"result.companyName","typeLabel":"string"},"rampType":{"type":"string","description":"Type of ramp operation","enum":["ON_RAMP","OFF_RAMP"],"uniqueKey":"result.rampType","typeLabel":"enum\u003cstring>"},"status":{"type":"string","description":"Current status of the request. See API overview for status flow details.\n","enum":["AWAITING_APPROVAL","AWAITING_FUNDS","PROCESSING","SUCCEEDED","FAILED","BLOCKED","DENIED","REJECTED","CANCELLED"],"uniqueKey":"result.status","typeLabel":"enum\u003cstring>"},"amount":{"type":"number","description":"Deprecated - use fiatAmount or cryptoAmount instead","deprecated":true,"uniqueKey":"result.amount","typeLabel":"number"},"netAmount":{"type":"number","description":"Deprecated - use fiatNetAmount instead","deprecated":true,"uniqueKey":"result.netAmount","typeLabel":"number"},"fiatAmount":{"type":"number","description":"Total fiat amount (including fees)","example":1000,"uniqueKey":"result.fiatAmount","typeLabel":"number"},"fiatNetAmount":{"type":"number","description":"Net fiat amount (after deducting fees)","example":990,"uniqueKey":"result.fiatNetAmount","typeLabel":"number"},"cryptoAmount":{"type":"number","description":"Crypto amount","example":0.5,"uniqueKey":"result.cryptoAmount","typeLabel":"number"},"fiatFeeAmount":{"type":"number","description":"Fee amount in fiat currency","example":10,"uniqueKey":"result.fiatFeeAmount","typeLabel":"number"},"exchangeRate":{"type":"number","description":"Exchange rate used for the conversion.\n","example":2000,"uniqueKey":"result.exchangeRate","typeLabel":"number"},"feePercentage":{"type":"number","description":"Fee percentage applied","example":1,"uniqueKey":"result.feePercentage","typeLabel":"number"},"paymentReference":{"type":"string","description":"Auto-generated unique payment reference for tracking","example":"PAY-2024-001234","uniqueKey":"result.paymentReference","typeLabel":"string"},"paymentReceived":{"type":"boolean","description":"Whether payment has been received","uniqueKey":"result.paymentReceived","typeLabel":"boolean"},"blockchainTransactionHash":{"type":"string","description":"Blockchain transaction hash (when available)","example":"0x1234...","uniqueKey":"result.blockchainTransactionHash","typeLabel":"string"},"createdAt":{"type":"string","format":"date-time","description":"Timestamp when request was created","uniqueKey":"result.createdAt","typeLabel":"string\u003cdate-time>"},"companyBankAccount":{"oneOf":[{"type":"object","description":"Company bank account (for OFF_RAMP)","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.companyBankAccount.oneOf.0.id","typeLabel":"string\u003cuuid>"},"companyId":{"type":"string","format":"uuid","uniqueKey":"result.companyBankAccount.oneOf.0.companyId","typeLabel":"string\u003cuuid>"},"name":{"type":"string","description":"Display name","uniqueKey":"result.companyBankAccount.oneOf.0.name","typeLabel":"string"},"bankName":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.0.bankName","typeLabel":"string"},"companyName":{"type":"string","description":"Legal company name (account holder)","uniqueKey":"result.companyBankAccount.oneOf.0.companyName","typeLabel":"string"},"email":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.0.email","typeLabel":"string"},"phoneNumber":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.0.phoneNumber","typeLabel":"string"},"bankCountry":{"type":"string","description":"ISO 3166-1 alpha-2 country code","uniqueKey":"result.companyBankAccount.oneOf.0.bankCountry","typeLabel":"string"},"beneficiaryAddressLine1":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.0.beneficiaryAddressLine1","typeLabel":"string"},"beneficiaryAddressLine2":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.0.beneficiaryAddressLine2","typeLabel":"string"},"beneficiaryCity":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.0.beneficiaryCity","typeLabel":"string"},"beneficiaryState":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.0.beneficiaryState","typeLabel":"string"},"beneficiaryPostalCode":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.0.beneficiaryPostalCode","typeLabel":"string"},"beneficiaryCountry":{"type":"string","description":"ISO 3166-1 alpha-2 country code","uniqueKey":"result.companyBankAccount.oneOf.0.beneficiaryCountry","typeLabel":"string"},"bankAccountType":{"type":"string","enum":["EUR_SEPA","USD_WIRE","USD_ACH","USD_SWIFT","GBP_FPS","GBP_CHAPS","OTHER_SWIFT"],"uniqueKey":"result.companyBankAccount.oneOf.0.bankAccountType","typeLabel":"enum\u003cstring>"},"supportedRampType":{"type":"string","enum":["ON_RAMP","OFF_RAMP","ON_AND_OFF_RAMP"],"uniqueKey":"result.companyBankAccount.oneOf.0.supportedRampType","typeLabel":"enum\u003cstring>"},"verificationStatus":{"type":"string","description":"Verification status of the bank account.\n","enum":["PENDING","VERIFIED","DENIED"],"uniqueKey":"result.companyBankAccount.oneOf.0.verificationStatus","typeLabel":"enum\u003cstring>"},"verifiedAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.0.verifiedAt","typeLabel":"string\u003cdate-time>"},"createdAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.0.createdAt","typeLabel":"string\u003cdate-time>"},"updatedAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.0.updatedAt","typeLabel":"string\u003cdate-time>"},"version":{"type":"integer","format":"int64","uniqueKey":"result.companyBankAccount.oneOf.0.version","typeLabel":"integer\u003cint64>"},"iban":{"type":"string","description":"International Bank Account Number","uniqueKey":"result.companyBankAccount.oneOf.0.iban","typeLabel":"string"},"bic":{"type":"string","description":"Bank Identifier Code","uniqueKey":"result.companyBankAccount.oneOf.0.bic","typeLabel":"string"},"intermediaryBic":{"type":"string","description":"Intermediary bank BIC (if applicable)","uniqueKey":"result.companyBankAccount.oneOf.0.intermediaryBic","typeLabel":"string"}},"uniqueKey":"result.companyBankAccount.oneOf.0","typeLabel":"object"},{"type":"object","description":"Company bank account (for OFF_RAMP)","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.companyBankAccount.oneOf.1.id","typeLabel":"string\u003cuuid>"},"companyId":{"type":"string","format":"uuid","uniqueKey":"result.companyBankAccount.oneOf.1.companyId","typeLabel":"string\u003cuuid>"},"name":{"type":"string","description":"Display name","uniqueKey":"result.companyBankAccount.oneOf.1.name","typeLabel":"string"},"bankName":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.1.bankName","typeLabel":"string"},"companyName":{"type":"string","description":"Legal company name (account holder)","uniqueKey":"result.companyBankAccount.oneOf.1.companyName","typeLabel":"string"},"email":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.1.email","typeLabel":"string"},"phoneNumber":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.1.phoneNumber","typeLabel":"string"},"bankCountry":{"type":"string","description":"ISO 3166-1 alpha-2 country code","uniqueKey":"result.companyBankAccount.oneOf.1.bankCountry","typeLabel":"string"},"beneficiaryAddressLine1":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.1.beneficiaryAddressLine1","typeLabel":"string"},"beneficiaryAddressLine2":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.1.beneficiaryAddressLine2","typeLabel":"string"},"beneficiaryCity":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.1.beneficiaryCity","typeLabel":"string"},"beneficiaryState":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.1.beneficiaryState","typeLabel":"string"},"beneficiaryPostalCode":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.1.beneficiaryPostalCode","typeLabel":"string"},"beneficiaryCountry":{"type":"string","description":"ISO 3166-1 alpha-2 country code","uniqueKey":"result.companyBankAccount.oneOf.1.beneficiaryCountry","typeLabel":"string"},"bankAccountType":{"type":"string","enum":["EUR_SEPA","USD_WIRE","USD_ACH","USD_SWIFT","GBP_FPS","GBP_CHAPS","OTHER_SWIFT"],"uniqueKey":"result.companyBankAccount.oneOf.1.bankAccountType","typeLabel":"enum\u003cstring>"},"supportedRampType":{"type":"string","enum":["ON_RAMP","OFF_RAMP","ON_AND_OFF_RAMP"],"uniqueKey":"result.companyBankAccount.oneOf.1.supportedRampType","typeLabel":"enum\u003cstring>"},"verificationStatus":{"type":"string","description":"Verification status of the bank account.\n","enum":["PENDING","VERIFIED","DENIED"],"uniqueKey":"result.companyBankAccount.oneOf.1.verificationStatus","typeLabel":"enum\u003cstring>"},"verifiedAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.1.verifiedAt","typeLabel":"string\u003cdate-time>"},"createdAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.1.createdAt","typeLabel":"string\u003cdate-time>"},"updatedAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.1.updatedAt","typeLabel":"string\u003cdate-time>"},"version":{"type":"integer","format":"int64","uniqueKey":"result.companyBankAccount.oneOf.1.version","typeLabel":"integer\u003cint64>"},"accountNumber":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.1.accountNumber","typeLabel":"string"},"sortCode":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.1.sortCode","typeLabel":"string"}},"uniqueKey":"result.companyBankAccount.oneOf.1","typeLabel":"object"},{"type":"object","description":"Company bank account (for OFF_RAMP)","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.companyBankAccount.oneOf.2.id","typeLabel":"string\u003cuuid>"},"companyId":{"type":"string","format":"uuid","uniqueKey":"result.companyBankAccount.oneOf.2.companyId","typeLabel":"string\u003cuuid>"},"name":{"type":"string","description":"Display name","uniqueKey":"result.companyBankAccount.oneOf.2.name","typeLabel":"string"},"bankName":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.2.bankName","typeLabel":"string"},"companyName":{"type":"string","description":"Legal company name (account holder)","uniqueKey":"result.companyBankAccount.oneOf.2.companyName","typeLabel":"string"},"email":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.2.email","typeLabel":"string"},"phoneNumber":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.2.phoneNumber","typeLabel":"string"},"bankCountry":{"type":"string","description":"ISO 3166-1 alpha-2 country code","uniqueKey":"result.companyBankAccount.oneOf.2.bankCountry","typeLabel":"string"},"beneficiaryAddressLine1":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.2.beneficiaryAddressLine1","typeLabel":"string"},"beneficiaryAddressLine2":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.2.beneficiaryAddressLine2","typeLabel":"string"},"beneficiaryCity":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.2.beneficiaryCity","typeLabel":"string"},"beneficiaryState":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.2.beneficiaryState","typeLabel":"string"},"beneficiaryPostalCode":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.2.beneficiaryPostalCode","typeLabel":"string"},"beneficiaryCountry":{"type":"string","description":"ISO 3166-1 alpha-2 country code","uniqueKey":"result.companyBankAccount.oneOf.2.beneficiaryCountry","typeLabel":"string"},"bankAccountType":{"type":"string","enum":["EUR_SEPA","USD_WIRE","USD_ACH","USD_SWIFT","GBP_FPS","GBP_CHAPS","OTHER_SWIFT"],"uniqueKey":"result.companyBankAccount.oneOf.2.bankAccountType","typeLabel":"enum\u003cstring>"},"supportedRampType":{"type":"string","enum":["ON_RAMP","OFF_RAMP","ON_AND_OFF_RAMP"],"uniqueKey":"result.companyBankAccount.oneOf.2.supportedRampType","typeLabel":"enum\u003cstring>"},"verificationStatus":{"type":"string","description":"Verification status of the bank account.\n","enum":["PENDING","VERIFIED","DENIED"],"uniqueKey":"result.companyBankAccount.oneOf.2.verificationStatus","typeLabel":"enum\u003cstring>"},"verifiedAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.2.verifiedAt","typeLabel":"string\u003cdate-time>"},"createdAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.2.createdAt","typeLabel":"string\u003cdate-time>"},"updatedAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.2.updatedAt","typeLabel":"string\u003cdate-time>"},"version":{"type":"integer","format":"int64","uniqueKey":"result.companyBankAccount.oneOf.2.version","typeLabel":"integer\u003cint64>"},"accountNumber":{"type":"string","description":"UK account number (8 digits)","uniqueKey":"result.companyBankAccount.oneOf.2.accountNumber","typeLabel":"string"},"sortCode":{"type":"string","description":"UK sort code (6 digits)","uniqueKey":"result.companyBankAccount.oneOf.2.sortCode","typeLabel":"string"}},"uniqueKey":"result.companyBankAccount.oneOf.2","typeLabel":"object"},{"type":"object","description":"Company bank account (for OFF_RAMP)","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.companyBankAccount.oneOf.3.id","typeLabel":"string\u003cuuid>"},"companyId":{"type":"string","format":"uuid","uniqueKey":"result.companyBankAccount.oneOf.3.companyId","typeLabel":"string\u003cuuid>"},"name":{"type":"string","description":"Display name","uniqueKey":"result.companyBankAccount.oneOf.3.name","typeLabel":"string"},"bankName":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.3.bankName","typeLabel":"string"},"companyName":{"type":"string","description":"Legal company name (account holder)","uniqueKey":"result.companyBankAccount.oneOf.3.companyName","typeLabel":"string"},"email":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.3.email","typeLabel":"string"},"phoneNumber":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.3.phoneNumber","typeLabel":"string"},"bankCountry":{"type":"string","description":"ISO 3166-1 alpha-2 country code","uniqueKey":"result.companyBankAccount.oneOf.3.bankCountry","typeLabel":"string"},"beneficiaryAddressLine1":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.3.beneficiaryAddressLine1","typeLabel":"string"},"beneficiaryAddressLine2":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.3.beneficiaryAddressLine2","typeLabel":"string"},"beneficiaryCity":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.3.beneficiaryCity","typeLabel":"string"},"beneficiaryState":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.3.beneficiaryState","typeLabel":"string"},"beneficiaryPostalCode":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.3.beneficiaryPostalCode","typeLabel":"string"},"beneficiaryCountry":{"type":"string","description":"ISO 3166-1 alpha-2 country code","uniqueKey":"result.companyBankAccount.oneOf.3.beneficiaryCountry","typeLabel":"string"},"bankAccountType":{"type":"string","enum":["EUR_SEPA","USD_WIRE","USD_ACH","USD_SWIFT","GBP_FPS","GBP_CHAPS","OTHER_SWIFT"],"uniqueKey":"result.companyBankAccount.oneOf.3.bankAccountType","typeLabel":"enum\u003cstring>"},"supportedRampType":{"type":"string","enum":["ON_RAMP","OFF_RAMP","ON_AND_OFF_RAMP"],"uniqueKey":"result.companyBankAccount.oneOf.3.supportedRampType","typeLabel":"enum\u003cstring>"},"verificationStatus":{"type":"string","description":"Verification status of the bank account.\n","enum":["PENDING","VERIFIED","DENIED"],"uniqueKey":"result.companyBankAccount.oneOf.3.verificationStatus","typeLabel":"enum\u003cstring>"},"verifiedAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.3.verifiedAt","typeLabel":"string\u003cdate-time>"},"createdAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.3.createdAt","typeLabel":"string\u003cdate-time>"},"updatedAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.3.updatedAt","typeLabel":"string\u003cdate-time>"},"version":{"type":"integer","format":"int64","uniqueKey":"result.companyBankAccount.oneOf.3.version","typeLabel":"integer\u003cint64>"},"currency":{"type":"string","description":"ISO 4217 currency code","uniqueKey":"result.companyBankAccount.oneOf.3.currency","typeLabel":"string"},"bic":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.3.bic","typeLabel":"string"},"accountNumber":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.3.accountNumber","typeLabel":"string"},"iban":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.3.iban","typeLabel":"string"},"intermediaryBankName":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.3.intermediaryBankName","typeLabel":"string"},"intermediaryBic":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.3.intermediaryBic","typeLabel":"string"},"intermediaryAccountNumber":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.3.intermediaryAccountNumber","typeLabel":"string"}},"uniqueKey":"result.companyBankAccount.oneOf.3","typeLabel":"object"},{"type":"object","description":"Company bank account (for OFF_RAMP)","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.companyBankAccount.oneOf.4.id","typeLabel":"string\u003cuuid>"},"companyId":{"type":"string","format":"uuid","uniqueKey":"result.companyBankAccount.oneOf.4.companyId","typeLabel":"string\u003cuuid>"},"name":{"type":"string","description":"Display name","uniqueKey":"result.companyBankAccount.oneOf.4.name","typeLabel":"string"},"bankName":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.4.bankName","typeLabel":"string"},"companyName":{"type":"string","description":"Legal company name (account holder)","uniqueKey":"result.companyBankAccount.oneOf.4.companyName","typeLabel":"string"},"email":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.4.email","typeLabel":"string"},"phoneNumber":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.4.phoneNumber","typeLabel":"string"},"bankCountry":{"type":"string","description":"ISO 3166-1 alpha-2 country code","uniqueKey":"result.companyBankAccount.oneOf.4.bankCountry","typeLabel":"string"},"beneficiaryAddressLine1":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.4.beneficiaryAddressLine1","typeLabel":"string"},"beneficiaryAddressLine2":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.4.beneficiaryAddressLine2","typeLabel":"string"},"beneficiaryCity":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.4.beneficiaryCity","typeLabel":"string"},"beneficiaryState":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.4.beneficiaryState","typeLabel":"string"},"beneficiaryPostalCode":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.4.beneficiaryPostalCode","typeLabel":"string"},"beneficiaryCountry":{"type":"string","description":"ISO 3166-1 alpha-2 country code","uniqueKey":"result.companyBankAccount.oneOf.4.beneficiaryCountry","typeLabel":"string"},"bankAccountType":{"type":"string","enum":["EUR_SEPA","USD_WIRE","USD_ACH","USD_SWIFT","GBP_FPS","GBP_CHAPS","OTHER_SWIFT"],"uniqueKey":"result.companyBankAccount.oneOf.4.bankAccountType","typeLabel":"enum\u003cstring>"},"supportedRampType":{"type":"string","enum":["ON_RAMP","OFF_RAMP","ON_AND_OFF_RAMP"],"uniqueKey":"result.companyBankAccount.oneOf.4.supportedRampType","typeLabel":"enum\u003cstring>"},"verificationStatus":{"type":"string","description":"Verification status of the bank account.\n","enum":["PENDING","VERIFIED","DENIED"],"uniqueKey":"result.companyBankAccount.oneOf.4.verificationStatus","typeLabel":"enum\u003cstring>"},"verifiedAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.4.verifiedAt","typeLabel":"string\u003cdate-time>"},"createdAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.4.createdAt","typeLabel":"string\u003cdate-time>"},"updatedAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.4.updatedAt","typeLabel":"string\u003cdate-time>"},"version":{"type":"integer","format":"int64","uniqueKey":"result.companyBankAccount.oneOf.4.version","typeLabel":"integer\u003cint64>"},"accountNumber":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.4.accountNumber","typeLabel":"string"},"routingNumber":{"type":"string","description":"ABA routing number","uniqueKey":"result.companyBankAccount.oneOf.4.routingNumber","typeLabel":"string"}},"uniqueKey":"result.companyBankAccount.oneOf.4","typeLabel":"object"},{"type":"object","description":"Company bank account (for OFF_RAMP)","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.companyBankAccount.oneOf.5.id","typeLabel":"string\u003cuuid>"},"companyId":{"type":"string","format":"uuid","uniqueKey":"result.companyBankAccount.oneOf.5.companyId","typeLabel":"string\u003cuuid>"},"name":{"type":"string","description":"Display name","uniqueKey":"result.companyBankAccount.oneOf.5.name","typeLabel":"string"},"bankName":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.5.bankName","typeLabel":"string"},"companyName":{"type":"string","description":"Legal company name (account holder)","uniqueKey":"result.companyBankAccount.oneOf.5.companyName","typeLabel":"string"},"email":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.5.email","typeLabel":"string"},"phoneNumber":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.5.phoneNumber","typeLabel":"string"},"bankCountry":{"type":"string","description":"ISO 3166-1 alpha-2 country code","uniqueKey":"result.companyBankAccount.oneOf.5.bankCountry","typeLabel":"string"},"beneficiaryAddressLine1":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.5.beneficiaryAddressLine1","typeLabel":"string"},"beneficiaryAddressLine2":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.5.beneficiaryAddressLine2","typeLabel":"string"},"beneficiaryCity":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.5.beneficiaryCity","typeLabel":"string"},"beneficiaryState":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.5.beneficiaryState","typeLabel":"string"},"beneficiaryPostalCode":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.5.beneficiaryPostalCode","typeLabel":"string"},"beneficiaryCountry":{"type":"string","description":"ISO 3166-1 alpha-2 country code","uniqueKey":"result.companyBankAccount.oneOf.5.beneficiaryCountry","typeLabel":"string"},"bankAccountType":{"type":"string","enum":["EUR_SEPA","USD_WIRE","USD_ACH","USD_SWIFT","GBP_FPS","GBP_CHAPS","OTHER_SWIFT"],"uniqueKey":"result.companyBankAccount.oneOf.5.bankAccountType","typeLabel":"enum\u003cstring>"},"supportedRampType":{"type":"string","enum":["ON_RAMP","OFF_RAMP","ON_AND_OFF_RAMP"],"uniqueKey":"result.companyBankAccount.oneOf.5.supportedRampType","typeLabel":"enum\u003cstring>"},"verificationStatus":{"type":"string","description":"Verification status of the bank account.\n","enum":["PENDING","VERIFIED","DENIED"],"uniqueKey":"result.companyBankAccount.oneOf.5.verificationStatus","typeLabel":"enum\u003cstring>"},"verifiedAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.5.verifiedAt","typeLabel":"string\u003cdate-time>"},"createdAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.5.createdAt","typeLabel":"string\u003cdate-time>"},"updatedAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.5.updatedAt","typeLabel":"string\u003cdate-time>"},"version":{"type":"integer","format":"int64","uniqueKey":"result.companyBankAccount.oneOf.5.version","typeLabel":"integer\u003cint64>"},"bic":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.5.bic","typeLabel":"string"},"accountNumber":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.5.accountNumber","typeLabel":"string"},"iban":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.5.iban","typeLabel":"string"},"bankStreetAddress":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.5.bankStreetAddress","typeLabel":"string"},"bankCity":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.5.bankCity","typeLabel":"string"},"bankPostalCode":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.5.bankPostalCode","typeLabel":"string"},"intermediaryBankName":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.5.intermediaryBankName","typeLabel":"string"},"intermediaryBic":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.5.intermediaryBic","typeLabel":"string"},"intermediaryAccountNumber":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.5.intermediaryAccountNumber","typeLabel":"string"}},"uniqueKey":"result.companyBankAccount.oneOf.5","typeLabel":"object"},{"type":"object","description":"Company bank account (for OFF_RAMP)","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.companyBankAccount.oneOf.6.id","typeLabel":"string\u003cuuid>"},"companyId":{"type":"string","format":"uuid","uniqueKey":"result.companyBankAccount.oneOf.6.companyId","typeLabel":"string\u003cuuid>"},"name":{"type":"string","description":"Display name","uniqueKey":"result.companyBankAccount.oneOf.6.name","typeLabel":"string"},"bankName":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.6.bankName","typeLabel":"string"},"companyName":{"type":"string","description":"Legal company name (account holder)","uniqueKey":"result.companyBankAccount.oneOf.6.companyName","typeLabel":"string"},"email":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.6.email","typeLabel":"string"},"phoneNumber":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.6.phoneNumber","typeLabel":"string"},"bankCountry":{"type":"string","description":"ISO 3166-1 alpha-2 country code","uniqueKey":"result.companyBankAccount.oneOf.6.bankCountry","typeLabel":"string"},"beneficiaryAddressLine1":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.6.beneficiaryAddressLine1","typeLabel":"string"},"beneficiaryAddressLine2":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.6.beneficiaryAddressLine2","typeLabel":"string"},"beneficiaryCity":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.6.beneficiaryCity","typeLabel":"string"},"beneficiaryState":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.6.beneficiaryState","typeLabel":"string"},"beneficiaryPostalCode":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.6.beneficiaryPostalCode","typeLabel":"string"},"beneficiaryCountry":{"type":"string","description":"ISO 3166-1 alpha-2 country code","uniqueKey":"result.companyBankAccount.oneOf.6.beneficiaryCountry","typeLabel":"string"},"bankAccountType":{"type":"string","enum":["EUR_SEPA","USD_WIRE","USD_ACH","USD_SWIFT","GBP_FPS","GBP_CHAPS","OTHER_SWIFT"],"uniqueKey":"result.companyBankAccount.oneOf.6.bankAccountType","typeLabel":"enum\u003cstring>"},"supportedRampType":{"type":"string","enum":["ON_RAMP","OFF_RAMP","ON_AND_OFF_RAMP"],"uniqueKey":"result.companyBankAccount.oneOf.6.supportedRampType","typeLabel":"enum\u003cstring>"},"verificationStatus":{"type":"string","description":"Verification status of the bank account.\n","enum":["PENDING","VERIFIED","DENIED"],"uniqueKey":"result.companyBankAccount.oneOf.6.verificationStatus","typeLabel":"enum\u003cstring>"},"verifiedAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.6.verifiedAt","typeLabel":"string\u003cdate-time>"},"createdAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.6.createdAt","typeLabel":"string\u003cdate-time>"},"updatedAt":{"type":"string","format":"date-time","uniqueKey":"result.companyBankAccount.oneOf.6.updatedAt","typeLabel":"string\u003cdate-time>"},"version":{"type":"integer","format":"int64","uniqueKey":"result.companyBankAccount.oneOf.6.version","typeLabel":"integer\u003cint64>"},"accountNumber":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.6.accountNumber","typeLabel":"string"},"routingNumber":{"type":"string","uniqueKey":"result.companyBankAccount.oneOf.6.routingNumber","typeLabel":"string"}},"uniqueKey":"result.companyBankAccount.oneOf.6","typeLabel":"object"}],"uniqueKey":"result.companyBankAccount","typeLabel":"object"},"companyWallet":{"type":"object","description":"Company wallet (for ON_RAMP)","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.companyWallet.id","typeLabel":"string\u003cuuid>"},"companyId":{"type":"string","format":"uuid","uniqueKey":"result.companyWallet.companyId","typeLabel":"string\u003cuuid>"},"description":{"type":"string","description":"User-provided description","uniqueKey":"result.companyWallet.description","typeLabel":"string"},"address":{"type":"string","description":"Blockchain wallet address","uniqueKey":"result.companyWallet.address","typeLabel":"string"},"chain":{"type":"string","description":"Blockchain network","enum":["ETHEREUM","POLYGON","BASE","ARBITRUM","SUI"],"uniqueKey":"result.companyWallet.chain","typeLabel":"enum\u003cstring>"},"verificationStatus":{"type":"string","description":"Verification status of the wallet.\n","enum":["PENDING","VERIFIED","DENIED"],"uniqueKey":"result.companyWallet.verificationStatus","typeLabel":"enum\u003cstring>"},"verifiedAt":{"type":"string","format":"date-time","description":"When wallet was verified (if applicable)","uniqueKey":"result.companyWallet.verifiedAt","typeLabel":"string\u003cdate-time>"},"createdAt":{"type":"string","format":"date-time","uniqueKey":"result.companyWallet.createdAt","typeLabel":"string\u003cdate-time>"},"updatedAt":{"type":"string","format":"date-time","uniqueKey":"result.companyWallet.updatedAt","typeLabel":"string\u003cdate-time>"},"version":{"type":"integer","format":"int64","uniqueKey":"result.companyWallet.version","typeLabel":"integer\u003cint64>"}},"uniqueKey":"result.companyWallet","typeLabel":"object"},"depositBankAccount":{"oneOf":[{"type":"object","description":"Venly deposit bank account where fiat should be sent (for ON_RAMP).\n","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.depositBankAccount.oneOf.0.id","typeLabel":"string\u003cuuid>"},"bankName":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.0.bankName","typeLabel":"string"},"beneficiary":{"type":"string","description":"Beneficiary name (Venly entity)","uniqueKey":"result.depositBankAccount.oneOf.0.beneficiary","typeLabel":"string"},"fiatCurrency":{"type":"object","description":"Fiat currency supported for ramp operations","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.depositBankAccount.oneOf.0.fiatCurrency.id","typeLabel":"string\u003cuuid>"},"currency":{"type":"string","description":"ISO 4217 currency code","example":"EUR","uniqueKey":"result.depositBankAccount.oneOf.0.fiatCurrency.currency","typeLabel":"string"},"label":{"type":"string","description":"Display name","example":"Euro","uniqueKey":"result.depositBankAccount.oneOf.0.fiatCurrency.label","typeLabel":"string"},"enabled":{"type":"boolean","description":"Whether this currency is currently enabled","uniqueKey":"result.depositBankAccount.oneOf.0.fiatCurrency.enabled","typeLabel":"boolean"},"version":{"type":"integer","format":"int64","uniqueKey":"result.depositBankAccount.oneOf.0.fiatCurrency.version","typeLabel":"integer\u003cint64>"}},"uniqueKey":"result.depositBankAccount.oneOf.0.fiatCurrency","typeLabel":"object"},"label":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.0.label","typeLabel":"string"},"isActive":{"type":"boolean","uniqueKey":"result.depositBankAccount.oneOf.0.isActive","typeLabel":"boolean"},"isDefault":{"type":"boolean","uniqueKey":"result.depositBankAccount.oneOf.0.isDefault","typeLabel":"boolean"},"bankAccountType":{"type":"string","enum":["EUR_SEPA","USD_WIRE","USD_ACH","USD_SWIFT","GBP_FPS","GBP_CHAPS","OTHER_SWIFT"],"uniqueKey":"result.depositBankAccount.oneOf.0.bankAccountType","typeLabel":"enum\u003cstring>"},"version":{"type":"integer","format":"int64","uniqueKey":"result.depositBankAccount.oneOf.0.version","typeLabel":"integer\u003cint64>"},"bic":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.0.bic","typeLabel":"string"},"intermediaryBic":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.0.intermediaryBic","typeLabel":"string"},"iban":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.0.iban","typeLabel":"string"}},"uniqueKey":"result.depositBankAccount.oneOf.0","typeLabel":"object"},{"type":"object","description":"Venly deposit bank account where fiat should be sent (for ON_RAMP).\n","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.depositBankAccount.oneOf.1.id","typeLabel":"string\u003cuuid>"},"bankName":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.1.bankName","typeLabel":"string"},"beneficiary":{"type":"string","description":"Beneficiary name (Venly entity)","uniqueKey":"result.depositBankAccount.oneOf.1.beneficiary","typeLabel":"string"},"fiatCurrency":{"type":"object","description":"Fiat currency supported for ramp operations","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.depositBankAccount.oneOf.1.fiatCurrency.id","typeLabel":"string\u003cuuid>"},"currency":{"type":"string","description":"ISO 4217 currency code","example":"EUR","uniqueKey":"result.depositBankAccount.oneOf.1.fiatCurrency.currency","typeLabel":"string"},"label":{"type":"string","description":"Display name","example":"Euro","uniqueKey":"result.depositBankAccount.oneOf.1.fiatCurrency.label","typeLabel":"string"},"enabled":{"type":"boolean","description":"Whether this currency is currently enabled","uniqueKey":"result.depositBankAccount.oneOf.1.fiatCurrency.enabled","typeLabel":"boolean"},"version":{"type":"integer","format":"int64","uniqueKey":"result.depositBankAccount.oneOf.1.fiatCurrency.version","typeLabel":"integer\u003cint64>"}},"uniqueKey":"result.depositBankAccount.oneOf.1.fiatCurrency","typeLabel":"object"},"label":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.1.label","typeLabel":"string"},"isActive":{"type":"boolean","uniqueKey":"result.depositBankAccount.oneOf.1.isActive","typeLabel":"boolean"},"isDefault":{"type":"boolean","uniqueKey":"result.depositBankAccount.oneOf.1.isDefault","typeLabel":"boolean"},"bankAccountType":{"type":"string","enum":["EUR_SEPA","USD_WIRE","USD_ACH","USD_SWIFT","GBP_FPS","GBP_CHAPS","OTHER_SWIFT"],"uniqueKey":"result.depositBankAccount.oneOf.1.bankAccountType","typeLabel":"enum\u003cstring>"},"version":{"type":"integer","format":"int64","uniqueKey":"result.depositBankAccount.oneOf.1.version","typeLabel":"integer\u003cint64>"},"accountNumber":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.1.accountNumber","typeLabel":"string"},"sortCode":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.1.sortCode","typeLabel":"string"}},"uniqueKey":"result.depositBankAccount.oneOf.1","typeLabel":"object"},{"type":"object","description":"Venly deposit bank account where fiat should be sent (for ON_RAMP).\n","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.depositBankAccount.oneOf.2.id","typeLabel":"string\u003cuuid>"},"bankName":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.2.bankName","typeLabel":"string"},"beneficiary":{"type":"string","description":"Beneficiary name (Venly entity)","uniqueKey":"result.depositBankAccount.oneOf.2.beneficiary","typeLabel":"string"},"fiatCurrency":{"type":"object","description":"Fiat currency supported for ramp operations","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.depositBankAccount.oneOf.2.fiatCurrency.id","typeLabel":"string\u003cuuid>"},"currency":{"type":"string","description":"ISO 4217 currency code","example":"EUR","uniqueKey":"result.depositBankAccount.oneOf.2.fiatCurrency.currency","typeLabel":"string"},"label":{"type":"string","description":"Display name","example":"Euro","uniqueKey":"result.depositBankAccount.oneOf.2.fiatCurrency.label","typeLabel":"string"},"enabled":{"type":"boolean","description":"Whether this currency is currently enabled","uniqueKey":"result.depositBankAccount.oneOf.2.fiatCurrency.enabled","typeLabel":"boolean"},"version":{"type":"integer","format":"int64","uniqueKey":"result.depositBankAccount.oneOf.2.fiatCurrency.version","typeLabel":"integer\u003cint64>"}},"uniqueKey":"result.depositBankAccount.oneOf.2.fiatCurrency","typeLabel":"object"},"label":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.2.label","typeLabel":"string"},"isActive":{"type":"boolean","uniqueKey":"result.depositBankAccount.oneOf.2.isActive","typeLabel":"boolean"},"isDefault":{"type":"boolean","uniqueKey":"result.depositBankAccount.oneOf.2.isDefault","typeLabel":"boolean"},"bankAccountType":{"type":"string","enum":["EUR_SEPA","USD_WIRE","USD_ACH","USD_SWIFT","GBP_FPS","GBP_CHAPS","OTHER_SWIFT"],"uniqueKey":"result.depositBankAccount.oneOf.2.bankAccountType","typeLabel":"enum\u003cstring>"},"version":{"type":"integer","format":"int64","uniqueKey":"result.depositBankAccount.oneOf.2.version","typeLabel":"integer\u003cint64>"},"accountNumber":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.2.accountNumber","typeLabel":"string"},"sortCode":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.2.sortCode","typeLabel":"string"}},"uniqueKey":"result.depositBankAccount.oneOf.2","typeLabel":"object"},{"type":"object","description":"Venly deposit bank account where fiat should be sent (for ON_RAMP).\n","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.depositBankAccount.oneOf.3.id","typeLabel":"string\u003cuuid>"},"bankName":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.3.bankName","typeLabel":"string"},"beneficiary":{"type":"string","description":"Beneficiary name (Venly entity)","uniqueKey":"result.depositBankAccount.oneOf.3.beneficiary","typeLabel":"string"},"fiatCurrency":{"type":"object","description":"Fiat currency supported for ramp operations","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.depositBankAccount.oneOf.3.fiatCurrency.id","typeLabel":"string\u003cuuid>"},"currency":{"type":"string","description":"ISO 4217 currency code","example":"EUR","uniqueKey":"result.depositBankAccount.oneOf.3.fiatCurrency.currency","typeLabel":"string"},"label":{"type":"string","description":"Display name","example":"Euro","uniqueKey":"result.depositBankAccount.oneOf.3.fiatCurrency.label","typeLabel":"string"},"enabled":{"type":"boolean","description":"Whether this currency is currently enabled","uniqueKey":"result.depositBankAccount.oneOf.3.fiatCurrency.enabled","typeLabel":"boolean"},"version":{"type":"integer","format":"int64","uniqueKey":"result.depositBankAccount.oneOf.3.fiatCurrency.version","typeLabel":"integer\u003cint64>"}},"uniqueKey":"result.depositBankAccount.oneOf.3.fiatCurrency","typeLabel":"object"},"label":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.3.label","typeLabel":"string"},"isActive":{"type":"boolean","uniqueKey":"result.depositBankAccount.oneOf.3.isActive","typeLabel":"boolean"},"isDefault":{"type":"boolean","uniqueKey":"result.depositBankAccount.oneOf.3.isDefault","typeLabel":"boolean"},"bankAccountType":{"type":"string","enum":["EUR_SEPA","USD_WIRE","USD_ACH","USD_SWIFT","GBP_FPS","GBP_CHAPS","OTHER_SWIFT"],"uniqueKey":"result.depositBankAccount.oneOf.3.bankAccountType","typeLabel":"enum\u003cstring>"},"version":{"type":"integer","format":"int64","uniqueKey":"result.depositBankAccount.oneOf.3.version","typeLabel":"integer\u003cint64>"},"companyName":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.3.companyName","typeLabel":"string"},"email":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.3.email","typeLabel":"string"},"phoneNumber":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.3.phoneNumber","typeLabel":"string"},"bic":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.3.bic","typeLabel":"string"},"accountNumber":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.3.accountNumber","typeLabel":"string"},"iban":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.3.iban","typeLabel":"string"},"bankCountry":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.3.bankCountry","typeLabel":"string"},"intermediaryBankName":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.3.intermediaryBankName","typeLabel":"string"},"intermediaryBic":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.3.intermediaryBic","typeLabel":"string"},"intermediaryAccountNumber":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.3.intermediaryAccountNumber","typeLabel":"string"},"beneficiaryAddressLine1":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.3.beneficiaryAddressLine1","typeLabel":"string"},"beneficiaryAddressLine2":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.3.beneficiaryAddressLine2","typeLabel":"string"},"beneficiaryCity":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.3.beneficiaryCity","typeLabel":"string"},"beneficiaryState":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.3.beneficiaryState","typeLabel":"string"},"beneficiaryPostalCode":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.3.beneficiaryPostalCode","typeLabel":"string"},"beneficiaryCountry":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.3.beneficiaryCountry","typeLabel":"string"}},"uniqueKey":"result.depositBankAccount.oneOf.3","typeLabel":"object"},{"type":"object","description":"Venly deposit bank account where fiat should be sent (for ON_RAMP).\n","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.depositBankAccount.oneOf.4.id","typeLabel":"string\u003cuuid>"},"bankName":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.4.bankName","typeLabel":"string"},"beneficiary":{"type":"string","description":"Beneficiary name (Venly entity)","uniqueKey":"result.depositBankAccount.oneOf.4.beneficiary","typeLabel":"string"},"fiatCurrency":{"type":"object","description":"Fiat currency supported for ramp operations","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.depositBankAccount.oneOf.4.fiatCurrency.id","typeLabel":"string\u003cuuid>"},"currency":{"type":"string","description":"ISO 4217 currency code","example":"EUR","uniqueKey":"result.depositBankAccount.oneOf.4.fiatCurrency.currency","typeLabel":"string"},"label":{"type":"string","description":"Display name","example":"Euro","uniqueKey":"result.depositBankAccount.oneOf.4.fiatCurrency.label","typeLabel":"string"},"enabled":{"type":"boolean","description":"Whether this currency is currently enabled","uniqueKey":"result.depositBankAccount.oneOf.4.fiatCurrency.enabled","typeLabel":"boolean"},"version":{"type":"integer","format":"int64","uniqueKey":"result.depositBankAccount.oneOf.4.fiatCurrency.version","typeLabel":"integer\u003cint64>"}},"uniqueKey":"result.depositBankAccount.oneOf.4.fiatCurrency","typeLabel":"object"},"label":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.4.label","typeLabel":"string"},"isActive":{"type":"boolean","uniqueKey":"result.depositBankAccount.oneOf.4.isActive","typeLabel":"boolean"},"isDefault":{"type":"boolean","uniqueKey":"result.depositBankAccount.oneOf.4.isDefault","typeLabel":"boolean"},"bankAccountType":{"type":"string","enum":["EUR_SEPA","USD_WIRE","USD_ACH","USD_SWIFT","GBP_FPS","GBP_CHAPS","OTHER_SWIFT"],"uniqueKey":"result.depositBankAccount.oneOf.4.bankAccountType","typeLabel":"enum\u003cstring>"},"version":{"type":"integer","format":"int64","uniqueKey":"result.depositBankAccount.oneOf.4.version","typeLabel":"integer\u003cint64>"},"companyName":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.4.companyName","typeLabel":"string"},"email":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.4.email","typeLabel":"string"},"phoneNumber":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.4.phoneNumber","typeLabel":"string"},"accountNumber":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.4.accountNumber","typeLabel":"string"},"routingNumber":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.4.routingNumber","typeLabel":"string"},"bankCountry":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.4.bankCountry","typeLabel":"string"},"beneficiaryAddressLine1":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.4.beneficiaryAddressLine1","typeLabel":"string"},"beneficiaryAddressLine2":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.4.beneficiaryAddressLine2","typeLabel":"string"},"beneficiaryCity":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.4.beneficiaryCity","typeLabel":"string"},"beneficiaryState":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.4.beneficiaryState","typeLabel":"string"},"beneficiaryPostalCode":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.4.beneficiaryPostalCode","typeLabel":"string"},"beneficiaryCountry":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.4.beneficiaryCountry","typeLabel":"string"}},"uniqueKey":"result.depositBankAccount.oneOf.4","typeLabel":"object"},{"type":"object","description":"Venly deposit bank account where fiat should be sent (for ON_RAMP).\n","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.depositBankAccount.oneOf.5.id","typeLabel":"string\u003cuuid>"},"bankName":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.bankName","typeLabel":"string"},"beneficiary":{"type":"string","description":"Beneficiary name (Venly entity)","uniqueKey":"result.depositBankAccount.oneOf.5.beneficiary","typeLabel":"string"},"fiatCurrency":{"type":"object","description":"Fiat currency supported for ramp operations","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.depositBankAccount.oneOf.5.fiatCurrency.id","typeLabel":"string\u003cuuid>"},"currency":{"type":"string","description":"ISO 4217 currency code","example":"EUR","uniqueKey":"result.depositBankAccount.oneOf.5.fiatCurrency.currency","typeLabel":"string"},"label":{"type":"string","description":"Display name","example":"Euro","uniqueKey":"result.depositBankAccount.oneOf.5.fiatCurrency.label","typeLabel":"string"},"enabled":{"type":"boolean","description":"Whether this currency is currently enabled","uniqueKey":"result.depositBankAccount.oneOf.5.fiatCurrency.enabled","typeLabel":"boolean"},"version":{"type":"integer","format":"int64","uniqueKey":"result.depositBankAccount.oneOf.5.fiatCurrency.version","typeLabel":"integer\u003cint64>"}},"uniqueKey":"result.depositBankAccount.oneOf.5.fiatCurrency","typeLabel":"object"},"label":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.label","typeLabel":"string"},"isActive":{"type":"boolean","uniqueKey":"result.depositBankAccount.oneOf.5.isActive","typeLabel":"boolean"},"isDefault":{"type":"boolean","uniqueKey":"result.depositBankAccount.oneOf.5.isDefault","typeLabel":"boolean"},"bankAccountType":{"type":"string","enum":["EUR_SEPA","USD_WIRE","USD_ACH","USD_SWIFT","GBP_FPS","GBP_CHAPS","OTHER_SWIFT"],"uniqueKey":"result.depositBankAccount.oneOf.5.bankAccountType","typeLabel":"enum\u003cstring>"},"version":{"type":"integer","format":"int64","uniqueKey":"result.depositBankAccount.oneOf.5.version","typeLabel":"integer\u003cint64>"},"companyName":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.companyName","typeLabel":"string"},"email":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.email","typeLabel":"string"},"phoneNumber":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.phoneNumber","typeLabel":"string"},"bic":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.bic","typeLabel":"string"},"accountNumber":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.accountNumber","typeLabel":"string"},"iban":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.iban","typeLabel":"string"},"bankCountry":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.bankCountry","typeLabel":"string"},"bankStreetAddress":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.bankStreetAddress","typeLabel":"string"},"bankCity":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.bankCity","typeLabel":"string"},"bankPostalCode":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.bankPostalCode","typeLabel":"string"},"intermediaryBankName":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.intermediaryBankName","typeLabel":"string"},"intermediaryBic":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.intermediaryBic","typeLabel":"string"},"intermediaryAccountNumber":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.intermediaryAccountNumber","typeLabel":"string"},"beneficiaryAddressLine1":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.beneficiaryAddressLine1","typeLabel":"string"},"beneficiaryAddressLine2":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.beneficiaryAddressLine2","typeLabel":"string"},"beneficiaryCity":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.beneficiaryCity","typeLabel":"string"},"beneficiaryState":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.beneficiaryState","typeLabel":"string"},"beneficiaryPostalCode":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.beneficiaryPostalCode","typeLabel":"string"},"beneficiaryCountry":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.5.beneficiaryCountry","typeLabel":"string"}},"uniqueKey":"result.depositBankAccount.oneOf.5","typeLabel":"object"},{"type":"object","description":"Venly deposit bank account where fiat should be sent (for ON_RAMP).\n","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.depositBankAccount.oneOf.6.id","typeLabel":"string\u003cuuid>"},"bankName":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.6.bankName","typeLabel":"string"},"beneficiary":{"type":"string","description":"Beneficiary name (Venly entity)","uniqueKey":"result.depositBankAccount.oneOf.6.beneficiary","typeLabel":"string"},"fiatCurrency":{"type":"object","description":"Fiat currency supported for ramp operations","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.depositBankAccount.oneOf.6.fiatCurrency.id","typeLabel":"string\u003cuuid>"},"currency":{"type":"string","description":"ISO 4217 currency code","example":"EUR","uniqueKey":"result.depositBankAccount.oneOf.6.fiatCurrency.currency","typeLabel":"string"},"label":{"type":"string","description":"Display name","example":"Euro","uniqueKey":"result.depositBankAccount.oneOf.6.fiatCurrency.label","typeLabel":"string"},"enabled":{"type":"boolean","description":"Whether this currency is currently enabled","uniqueKey":"result.depositBankAccount.oneOf.6.fiatCurrency.enabled","typeLabel":"boolean"},"version":{"type":"integer","format":"int64","uniqueKey":"result.depositBankAccount.oneOf.6.fiatCurrency.version","typeLabel":"integer\u003cint64>"}},"uniqueKey":"result.depositBankAccount.oneOf.6.fiatCurrency","typeLabel":"object"},"label":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.6.label","typeLabel":"string"},"isActive":{"type":"boolean","uniqueKey":"result.depositBankAccount.oneOf.6.isActive","typeLabel":"boolean"},"isDefault":{"type":"boolean","uniqueKey":"result.depositBankAccount.oneOf.6.isDefault","typeLabel":"boolean"},"bankAccountType":{"type":"string","enum":["EUR_SEPA","USD_WIRE","USD_ACH","USD_SWIFT","GBP_FPS","GBP_CHAPS","OTHER_SWIFT"],"uniqueKey":"result.depositBankAccount.oneOf.6.bankAccountType","typeLabel":"enum\u003cstring>"},"version":{"type":"integer","format":"int64","uniqueKey":"result.depositBankAccount.oneOf.6.version","typeLabel":"integer\u003cint64>"},"companyName":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.6.companyName","typeLabel":"string"},"email":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.6.email","typeLabel":"string"},"phoneNumber":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.6.phoneNumber","typeLabel":"string"},"accountNumber":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.6.accountNumber","typeLabel":"string"},"routingNumber":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.6.routingNumber","typeLabel":"string"},"bankCountry":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.6.bankCountry","typeLabel":"string"},"beneficiaryAddressLine1":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.6.beneficiaryAddressLine1","typeLabel":"string"},"beneficiaryAddressLine2":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.6.beneficiaryAddressLine2","typeLabel":"string"},"beneficiaryCity":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.6.beneficiaryCity","typeLabel":"string"},"beneficiaryState":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.6.beneficiaryState","typeLabel":"string"},"beneficiaryPostalCode":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.6.beneficiaryPostalCode","typeLabel":"string"},"beneficiaryCountry":{"type":"string","uniqueKey":"result.depositBankAccount.oneOf.6.beneficiaryCountry","typeLabel":"string"}},"uniqueKey":"result.depositBankAccount.oneOf.6","typeLabel":"object"}],"uniqueKey":"result.depositBankAccount","typeLabel":"object"},"depositWallet":{"type":"object","description":"Venly deposit wallet where crypto should be sent (for OFF_RAMP).\n","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.depositWallet.id","typeLabel":"string\u003cuuid>"},"address":{"type":"string","description":"Blockchain wallet address","uniqueKey":"result.depositWallet.address","typeLabel":"string"},"chain":{"type":"string","enum":["ETHEREUM","POLYGON","BASE","ARBITRUM","SUI"],"uniqueKey":"result.depositWallet.chain","typeLabel":"enum\u003cstring>"},"label":{"type":"string","uniqueKey":"result.depositWallet.label","typeLabel":"string"},"isDefault":{"type":"boolean","uniqueKey":"result.depositWallet.isDefault","typeLabel":"boolean"},"isActive":{"type":"boolean","uniqueKey":"result.depositWallet.isActive","typeLabel":"boolean"},"version":{"type":"integer","format":"int64","uniqueKey":"result.depositWallet.version","typeLabel":"integer\u003cint64>"}},"uniqueKey":"result.depositWallet","typeLabel":"object"},"fiatCurrency":{"type":"object","description":"Fiat currency supported for ramp operations","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.fiatCurrency.id","typeLabel":"string\u003cuuid>"},"currency":{"type":"string","description":"ISO 4217 currency code","example":"EUR","uniqueKey":"result.fiatCurrency.currency","typeLabel":"string"},"label":{"type":"string","description":"Display name","example":"Euro","uniqueKey":"result.fiatCurrency.label","typeLabel":"string"},"enabled":{"type":"boolean","description":"Whether this currency is currently enabled","uniqueKey":"result.fiatCurrency.enabled","typeLabel":"boolean"},"version":{"type":"integer","format":"int64","uniqueKey":"result.fiatCurrency.version","typeLabel":"integer\u003cint64>"}},"uniqueKey":"result.fiatCurrency","typeLabel":"object"},"cryptoCurrency":{"type":"object","description":"Cryptocurrency supported for ramp operations","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.cryptoCurrency.id","typeLabel":"string\u003cuuid>"},"currency":{"type":"string","description":"Currency symbol","example":"USDC","uniqueKey":"result.cryptoCurrency.currency","typeLabel":"string"},"chain":{"type":"string","description":"Blockchain network","enum":["ETHEREUM","POLYGON","BASE","ARBITRUM","SUI"],"uniqueKey":"result.cryptoCurrency.chain","typeLabel":"enum\u003cstring>"},"label":{"type":"string","description":"Display name","example":"USD Coin","uniqueKey":"result.cryptoCurrency.label","typeLabel":"string"},"enabled":{"type":"boolean","uniqueKey":"result.cryptoCurrency.enabled","typeLabel":"boolean"},"version":{"type":"integer","format":"int64","uniqueKey":"result.cryptoCurrency.version","typeLabel":"integer\u003cint64>"},"coingeckoId":{"type":"string","description":"CoinGecko API identifier for price data","uniqueKey":"result.cryptoCurrency.coingeckoId","typeLabel":"string"}},"uniqueKey":"result.cryptoCurrency","typeLabel":"object"},"events":{"type":"array","description":"Complete audit trail of all events for this request","items":{"type":"object","description":"Audit event for a ramp request","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"result.events.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"eventType":{"type":"string","description":"Type of event that occurred","enum":["CREATED","AWAITING_APPROVAL","TX_HASH_ADDED","UPDATED","STATUS_CHANGED","APPROVED","REJECTED","ADMIN_REJECTED","PAYMENT_RECEIVED","PAYMENT_SENT","COMPLETED","FAILED","CANCELLED","AMOUNT_CHANGED"],"uniqueKey":"result.events.items.[INDEX].eventType","typeLabel":"enum\u003cstring>"},"userId":{"type":"string","description":"ID of user who triggered the event","uniqueKey":"result.events.items.[INDEX].userId","typeLabel":"string"},"username":{"type":"string","description":"Username of user who triggered the event","uniqueKey":"result.events.items.[INDEX].username","typeLabel":"string"},"email":{"type":"string","description":"Email of user who triggered the event","uniqueKey":"result.events.items.[INDEX].email","typeLabel":"string"},"role":{"type":"string","description":"Role of user who triggered the event","enum":["COMPANY_ADMIN","COMPANY_VIEWER","COMPANY_MANAGER"],"uniqueKey":"result.events.items.[INDEX].role","typeLabel":"enum\u003cstring>"},"createdAt":{"type":"string","format":"date-time","description":"When the event occurred","uniqueKey":"result.events.items.[INDEX].createdAt","typeLabel":"string\u003cdate-time>"},"version":{"type":"integer","format":"int64","uniqueKey":"result.events.items.[INDEX].version","typeLabel":"integer\u003cint64>"},"metadata":{"type":"object","description":"Event-specific metadata in JSON format.\nFor AMOUNT_CHANGED events, contains:\n- previousAmount: The amount before the change\n- newAmount: The amount after the change\n","uniqueKey":"result.events.items.[INDEX].metadata","typeLabel":"object"}},"uniqueKey":"result.events.items.[INDEX]","typeLabel":"object"},"uniqueKey":"result.events","typeLabel":"object[]"},"version":{"type":"integer","format":"int64","description":"Version number for optimistic locking","uniqueKey":"result.version","typeLabel":"integer\u003cint64>"},"amountReceived":{"type":"number","description":"Actual amount received","uniqueKey":"result.amountReceived","typeLabel":"number"}},"uniqueKey":"result","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":true,"result":{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","companyId":"3c90c3cc-0d44-4b50-8888-8dd25736052a","companyName":"\u003cstring>","rampType":"ON_RAMP","status":"AWAITING_APPROVAL","amount":123,"netAmount":123,"fiatAmount":1000,"fiatNetAmount":990,"cryptoAmount":0.5,"fiatFeeAmount":10,"exchangeRate":2000,"feePercentage":1,"paymentReference":"PAY-2024-001234","paymentReceived":true,"blockchainTransactionHash":"0x1234...","createdAt":"2023-11-07T05:31:56Z","companyBankAccount":{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","companyId":"3c90c3cc-0d44-4b50-8888-8dd25736052a","name":"\u003cstring>","bankName":"\u003cstring>","companyName":"\u003cstring>","email":"\u003cstring>","phoneNumber":"\u003cstring>","bankCountry":"\u003cstring>","beneficiaryAddressLine1":"\u003cstring>","beneficiaryAddressLine2":"\u003cstring>","beneficiaryCity":"\u003cstring>","beneficiaryState":"\u003cstring>","beneficiaryPostalCode":"\u003cstring>","beneficiaryCountry":"\u003cstring>","bankAccountType":"EUR_SEPA","supportedRampType":"ON_RAMP","verificationStatus":"PENDING","verifiedAt":"2023-11-07T05:31:56Z","createdAt":"2023-11-07T05:31:56Z","updatedAt":"2023-11-07T05:31:56Z","version":123,"iban":"\u003cstring>","bic":"\u003cstring>","intermediaryBic":"\u003cstring>"},"companyWallet":{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","companyId":"3c90c3cc-0d44-4b50-8888-8dd25736052a","description":"\u003cstring>","address":"\u003cstring>","chain":"ETHEREUM","verificationStatus":"PENDING","verifiedAt":"2023-11-07T05:31:56Z","createdAt":"2023-11-07T05:31:56Z","updatedAt":"2023-11-07T05:31:56Z","version":123},"depositBankAccount":{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","bankName":"\u003cstring>","beneficiary":"\u003cstring>","fiatCurrency":{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","currency":"EUR","label":"Euro","enabled":true,"version":123},"label":"\u003cstring>","isActive":true,"isDefault":true,"bankAccountType":"EUR_SEPA","version":123,"bic":"\u003cstring>","intermediaryBic":"\u003cstring>","iban":"\u003cstring>"},"depositWallet":{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","address":"\u003cstring>","chain":"ETHEREUM","label":"\u003cstring>","isDefault":true,"isActive":true,"version":123},"fiatCurrency":{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","currency":"EUR","label":"Euro","enabled":true,"version":123},"cryptoCurrency":{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","currency":"USDC","chain":"ETHEREUM","label":"USD Coin","enabled":true,"version":123,"coingeckoId":"\u003cstring>"},"events":[{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","eventType":"CREATED","userId":"\u003cstring>","username":"\u003cstring>","email":"\u003cstring>","role":"COMPANY_ADMIN","createdAt":"2023-11-07T05:31:56Z","version":123,"metadata":{}}],"version":123,"amountReceived":123}}}},"exampleType":"generated"}},"exampleType":"generated"},"e9376a17-e70f-46d4-b13d-228a417a0965":{"description":"When the request contains invalid input","content":{"application/json":{"schema":{"type":"object","description":"Error response wrapper","properties":{"success":{"type":"boolean","default":false,"uniqueKey":"success","typeLabel":"boolean"},"errors":{"type":"array","items":{"type":"object","description":"Individual error details","properties":{"code":{"type":"string","description":"Machine-readable error code","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"message":{"type":"string","description":"Human-readable error message","uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors","typeLabel":"object[]"},"result":{"oneOf":[{"type":"object","uniqueKey":"result.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"result.oneOf.1","typeLabel":"null"}],"uniqueKey":"result","typeLabel":"object | null"}},"uniqueKey":"","typeLabel":"object"},"example":{"success":false,"errors":[{"code":"validation-error","message":"A descriptive error message"}]},"examples":{"Example":{"title":"Example","value":{"success":false,"errors":[{"code":"validation-error","message":"A descriptive error message"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"56d3fbad-0b77-4e4f-96bf-b3f5d8e6a5fc":{"description":"When the user is not authorized to access the resource","content":{"application/json":{"schema":{"type":"object","description":"Error response wrapper","properties":{"success":{"type":"boolean","default":false,"uniqueKey":"success","typeLabel":"boolean"},"errors":{"type":"array","items":{"type":"object","description":"Individual error details","properties":{"code":{"type":"string","description":"Machine-readable error code","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"message":{"type":"string","description":"Human-readable error message","uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors","typeLabel":"object[]"},"result":{"oneOf":[{"type":"object","uniqueKey":"result.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"result.oneOf.1","typeLabel":"null"}],"uniqueKey":"result","typeLabel":"object | null"}},"uniqueKey":"","typeLabel":"object"},"example":{"success":false,"errors":[{"code":"UNAUTHORIZED","message":"Access is denied."}]},"examples":{"Example":{"title":"Example","value":{"success":false,"errors":[{"code":"UNAUTHORIZED","message":"Access is denied."}]}}},"exampleType":"examples"}},"exampleType":"examples"},"e2352109-2093-4a0c-8356-d5449274b1ea":{"description":"When a user doesn't have proper security authority","content":{"application/json":{"schema":{"type":"object","description":"Error response wrapper","properties":{"success":{"type":"boolean","default":false,"uniqueKey":"success","typeLabel":"boolean"},"errors":{"type":"array","items":{"type":"object","description":"Individual error details","properties":{"code":{"type":"string","description":"Machine-readable error code","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"message":{"type":"string","description":"Human-readable error message","uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors","typeLabel":"object[]"},"result":{"oneOf":[{"type":"object","uniqueKey":"result.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"result.oneOf.1","typeLabel":"null"}],"uniqueKey":"result","typeLabel":"object | null"}},"uniqueKey":"","typeLabel":"object"},"example":{"success":false,"errors":[{"code":"FORBIDDEN","message":"User doesn't have proper authority to access this resource"}]},"examples":{"Example":{"title":"Example","value":{"success":false,"errors":[{"code":"FORBIDDEN","message":"User doesn't have proper authority to access this resource"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"a01b986f-1c5c-4154-bd35-683fd4792887":{"description":"When a resource is not found","content":{"application/json":{"schema":{"type":"object","description":"Error response wrapper","properties":{"success":{"type":"boolean","default":false,"uniqueKey":"success","typeLabel":"boolean"},"errors":{"type":"array","items":{"type":"object","description":"Individual error details","properties":{"code":{"type":"string","description":"Machine-readable error code","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"message":{"type":"string","description":"Human-readable error message","uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors","typeLabel":"object[]"},"result":{"oneOf":[{"type":"object","uniqueKey":"result.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"result.oneOf.1","typeLabel":"null"}],"uniqueKey":"result","typeLabel":"object | null"}},"uniqueKey":"","typeLabel":"object"},"example":{"success":false,"errors":[{"code":"NOT_FOUND"}]},"examples":{"Example":{"title":"Example","value":{"success":false,"errors":[{"code":"NOT_FOUND"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"f1ef276f-98f6-40b4-aa3e-cd909ba7788c":{"description":"When the HttpMethod is not supported","content":{"application/json":{"schema":{"type":"object","description":"Error response wrapper","properties":{"success":{"type":"boolean","default":false,"uniqueKey":"success","typeLabel":"boolean"},"errors":{"type":"array","items":{"type":"object","description":"Individual error details","properties":{"code":{"type":"string","description":"Machine-readable error code","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"message":{"type":"string","description":"Human-readable error message","uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors","typeLabel":"object[]"},"result":{"oneOf":[{"type":"object","uniqueKey":"result.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"result.oneOf.1","typeLabel":"null"}],"uniqueKey":"result","typeLabel":"object | null"}},"uniqueKey":"","typeLabel":"object"},"example":{"success":false,"errors":[{"code":"METHOD_NOT_SUPPORTED","message":"HttpMethod is not supported. Supported methods are [..]"}]},"examples":{"Example":{"title":"Example","value":{"success":false,"errors":[{"code":"METHOD_NOT_SUPPORTED","message":"HttpMethod is not supported. Supported methods are [..]"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"6e459759-b624-4d11-9840-5cc472a87788":{"description":"Version conflict - the resource was modified by another request","content":{"application/json":{"schema":{"type":"object","description":"Error response wrapper","properties":{"success":{"type":"boolean","default":false,"uniqueKey":"success","typeLabel":"boolean"},"errors":{"type":"array","items":{"type":"object","description":"Individual error details","properties":{"code":{"type":"string","description":"Machine-readable error code","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"message":{"type":"string","description":"Human-readable error message","uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors","typeLabel":"object[]"},"result":{"oneOf":[{"type":"object","uniqueKey":"result.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"result.oneOf.1","typeLabel":"null"}],"uniqueKey":"result","typeLabel":"object | null"}},"uniqueKey":"","typeLabel":"object"},"example":{"success":false,"errors":[{"code":"OPTIMISTIC_LOCK_EXCEPTION","message":"The resource has been modified. Please fetch the latest version and retry."}]},"examples":{"Example":{"title":"Example","value":{"success":false,"errors":[{"code":"OPTIMISTIC_LOCK_EXCEPTION","message":"The resource has been modified. Please fetch the latest version and retry."}]}}},"exampleType":"examples"}},"exampleType":"examples"},"34bebbba-5fad-4001-af91-a8420f809711":{"description":"Usually when the input is not a valid json","content":{"application/json":{"schema":{"type":"object","description":"Error response wrapper","properties":{"success":{"type":"boolean","default":false,"uniqueKey":"success","typeLabel":"boolean"},"errors":{"type":"array","items":{"type":"object","description":"Individual error details","properties":{"code":{"type":"string","description":"Machine-readable error code","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"message":{"type":"string","description":"Human-readable error message","uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors","typeLabel":"object[]"},"result":{"oneOf":[{"type":"object","uniqueKey":"result.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"result.oneOf.1","typeLabel":"null"}],"uniqueKey":"result","typeLabel":"object | null"}},"uniqueKey":"","typeLabel":"object"},"example":{"success":false,"errors":[{"code":"INVALID_MEDIA_TYPE"}]},"examples":{"Example":{"title":"Example","value":{"success":false,"errors":[{"code":"INVALID_MEDIA_TYPE"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"df01ed12-de12-43d6-8eb9-2937f9a19b2b":{"description":"When there's an unexpected error","content":{"application/json":{"schema":{"type":"object","description":"Error response wrapper","properties":{"success":{"type":"boolean","default":false,"uniqueKey":"success","typeLabel":"boolean"},"errors":{"type":"array","items":{"type":"object","description":"Individual error details","properties":{"code":{"type":"string","description":"Machine-readable error code","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"message":{"type":"string","description":"Human-readable error message","uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"errors","typeLabel":"object[]"},"result":{"oneOf":[{"type":"object","uniqueKey":"result.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"result.oneOf.1","typeLabel":"null"}],"uniqueKey":"result","typeLabel":"object | null"}},"uniqueKey":"","typeLabel":"object"},"example":{"success":false,"errors":[{"code":"INTERNAL_SERVER_ERROR","message":"A description of the error (optional)"}]},"examples":{"Example":{"title":"Example","value":{"success":false,"errors":[{"code":"INTERNAL_SERVER_ERROR","message":"A description of the error (optional)"}]}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"fd40d82b-fc80-4570-b639-231726374327":{"OAuth2":{"type":"oauth2","description":"OAuth2 authentication via Venly Identity Platform","flows":{"implicit":{"authorizationUrl":"https://login-staging.venly.io/auth/realms/VenlyFinance/protocol/openid-connect/auth","scopes":{"openid":"OpenID Connect scope","view:ramp-request":"View ramp requests","create:ramp-request":"Create ramp requests","edit:ramp-request":"Edit ramp request amounts","approve:ramp-request":"Approve ramp requests","reject:ramp-request":"Reject ramp requests","cancel:ramp-request":"Cancel ramp requests","sign-off:ramp-request":"Sign off on ramp requests (add transaction hash)","export:ramp-requests":"Export ramp requests","view:company-wallet":"View company wallets","manage:company-wallet":"Create and manage company wallets","view:company-bank-account":"View company bank accounts","manage:company-bank-account":"Create and manage company bank accounts","manage:company-users":"Manage company users"}}},"scopes":["approve:ramp-request"]}}},"servers":{"d463203b-a1df-4784-bef1-613efa41e537":{"url":"https://api-fundflow.venly.io","description":"Production"},"1644619c-428a-4b27-84dd-626ab5e21547":{"url":"https://api-fundflow-staging.venly.io","description":"Staging"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"oauth2","description":"OAuth2 authentication via Venly Identity Platform","flows":{"implicit":{"authorizationUrl":"https://login-staging.venly.io/auth/realms/VenlyFinance/protocol/openid-connect/auth","scopes":{"openid":"OpenID Connect scope","view:ramp-request":"View ramp requests","create:ramp-request":"Create ramp requests","edit:ramp-request":"Edit ramp request amounts","approve:ramp-request":"Approve ramp requests","reject:ramp-request":"Reject ramp requests","cancel:ramp-request":"Cancel ramp requests","sign-off:ramp-request":"Sign off on ramp requests (add transaction hash)","export:ramp-requests":"Export ramp requests","view:company-wallet":"View company wallets","manage:company-wallet":"Create and manage company wallets","view:company-bank-account":"View company bank accounts","manage:company-bank-account":"Create and manage company bank accounts","manage:company-users":"Manage company users"}}},"scopes":["approve:ramp-request"]},"schema":{"title":"OAuth2 Auth","type":"string","isRequired":true,"description":"OAuth2 authentication via Venly Identity Platform","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"OAuth2","name":"Authorization"}],"title":"OAuth2"}]},"originalFileLocation":"api-reference/Fundflow-API.yaml"},"subdomain":"venly","siteName":"Venly Finance","title":"Approve a ramp request - Venly Finance","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-06-15T11:33:09.877Z","originalFileLocation":"api-reference/Fundflow-API/ramp-requests/approve-a-ramp-request.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Approve a pending request to move it to AWAITING_FUNDS.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Venly Finance\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/venly/NJHVXnPMqQUaB4Tk/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/venly/NJHVXnPMqQUaB4Tk/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/venly/NJHVXnPMqQUaB4Tk/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/venly/NJHVXnPMqQUaB4Tk/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/venly/NJHVXnPMqQUaB4Tk/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/venly/NJHVXnPMqQUaB4Tk/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/venly/NJHVXnPMqQUaB4Tk/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/venly/NJHVXnPMqQUaB4Tk/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/venly/NJHVXnPMqQUaB4Tk/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Approve a ramp request - Venly Finance\">\u003cmeta data-mint-head property=\"og:description\" content=\"Approve a pending request to move it to AWAITING_FUNDS.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Venly Finance\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.venlyfinance.com/api-reference/Fundflow-API/ramp-requests/approve-a-ramp-request\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://venly.mintlify.site/_mintlify/api/og/v2?division=Ramp+Requests\u0026amp;title=Approve+a+ramp+request\u0026amp;description=Approve+a+pending+request+to+move+it+to+AWAITING_FUNDS.\u0026amp;theme=66844d886c63c9d7741f1e37\u0026amp;signature=53888b8f26027e60e99e4c4f1bb3a8c4c3c80dcb1c2dae6a1d2038df32de7a82\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Approve a ramp request - Venly Finance\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Approve a pending request to move it to AWAITING_FUNDS.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://venly.mintlify.site/_mintlify/api/og/v2?division=Ramp+Requests\u0026amp;title=Approve+a+ramp+request\u0026amp;description=Approve+a+pending+request+to+move+it+to+AWAITING_FUNDS.\u0026amp;theme=66844d886c63c9d7741f1e37\u0026amp;signature=53888b8f26027e60e99e4c4f1bb3a8c4c3c80dcb1c2dae6a1d2038df32de7a82\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/venly/NJHVXnPMqQUaB4Tk/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Venly Finance\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#e07826\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.venlyfinance.com/api-reference/Fundflow-API/ramp-requests/approve-a-ramp-request\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/Fundflow-API/ramp-requests/approve-a-ramp-request.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.venlyfinance.com/#organization\",\"name\":\"Venly Finance\",\"url\":\"https://docs.venlyfinance.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/venly/NZGy1d4c4LA-0jM9/logo/light_venly_logo.png?fit=max\u0026auto=format\u0026n=NZGy1d4c4LA-0jM9\u0026q=85\u0026s=d808fd8f702829ca93bf607f200800bb\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.venlyfinance.com#website\",\"name\":\"Venly Finance\",\"url\":\"https://docs.venlyfinance.com\",\"publisher\":{\"@id\":\"https://docs.venlyfinance.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.venlyfinance.com/api-reference/Fundflow-API/ramp-requests/approve-a-ramp-request#webpage\",\"url\":\"https://docs.venlyfinance.com/api-reference/Fundflow-API/ramp-requests/approve-a-ramp-request\",\"name\":\"Approve a ramp request\",\"description\":\"Approve a pending request to move it to AWAITING_FUNDS.\",\"dateModified\":\"2026-06-15T11:33:09.877Z\",\"isPartOf\":{\"@id\":\"https://docs.venlyfinance.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.venlyfinance.com/api-reference/Fundflow-API/ramp-requests/approve-a-ramp-request#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.venlyfinance.com/api-reference/Fundflow-API/ramp-requests/approve-a-ramp-request#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Ramp Requests\",\"item\":\"https://docs.venlyfinance.com/api-reference/Fundflow-API/ramp-requests/list-all-ramp-requests\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Approve a ramp request\",\"item\":\"https://docs.venlyfinance.com/api-reference/Fundflow-API/ramp-requests/approve-a-ramp-request\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.venlyfinance.com/api-reference/Fundflow-API/ramp-requests/approve-a-ramp-request#apireference\",\"headline\":\"Approve a ramp request\",\"name\":\"Approve a ramp request\",\"description\":\"Approve a pending request to move it to AWAITING_FUNDS.\",\"url\":\"https://docs.venlyfinance.com/api-reference/Fundflow-API/ramp-requests/approve-a-ramp-request\",\"mainEntityOfPage\":{\"@id\":\"https://docs.venlyfinance.com/api-reference/Fundflow-API/ramp-requests/approve-a-ramp-request#webpage\"},\"dateModified\":\"2026-06-15T11:33:09.877Z\",\"publisher\":{\"@id\":\"https://docs.venlyfinance.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.venlyfinance.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Venly Finance\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Venly Finance","nav":{"global":{"anchors":[{"anchor":"Blog","icon":"newspaper","href":"https://venlyfinance.com/blog"},{"anchor":"Support","icon":"envelope","href":"https://venlyfinance.com/contact"}]},"tabs":[{"tab":"Getting Started","pages":[{"title":"Getting Started","href":""}]},{"tab":"Fundflow API","groups":[{"group":"Overview","pages":[{"title":"Getting Started with Fundflow","icon":"rocket","href":"/guides/payments/getting-started"},{"title":"API Authentication","sidebarTitle":"Authentication","icon":"key","href":"/guides/payments/authentication"},{"title":"Dashboard","icon":"gauge","href":"/guides/payments/dashboard"},{"title":"Quick Reference Guide","icon":"bolt","href":"/guides/payments/quick-reference"}]},{"group":"Core Guides","pages":[{"title":"Account Management","icon":"building-columns","href":"/guides/payments/accounts"},{"title":"Transactions","icon":"arrow-right-arrow-left","href":"/guides/payments/transactions"},{"title":"Fee Structure","icon":"percent","href":"/guides/payments/fees"}]},{"group":"Ramp Requests","pages":[{"title":"List all ramp requests","openapi":"api-reference/Fundflow-API.yaml GET /v1/ramp-requests","href":"/api-reference/Fundflow-API/ramp-requests/list-all-ramp-requests"},{"title":"Create a ramp request","openapi":"api-reference/Fundflow-API.yaml POST /v1/ramp-requests","href":"/api-reference/Fundflow-API/ramp-requests/create-a-new-ramp-request"},{"title":"Get ramp request by ID","description":"Fetch full details, amounts, status, and event history for one ramp request.","openapi":"api-reference/Fundflow-API.yaml GET /v1/ramp-requests/{id}","href":"/api-reference/Fundflow-API/ramp-requests/get-ramp-request-by-id"},{"title":"Approve a ramp request","openapi":"api-reference/Fundflow-API.yaml POST /v1/ramp-requests/{id}/approve","href":"/api-reference/Fundflow-API/ramp-requests/approve-a-ramp-request"},{"title":"Reject a ramp request","description":"Reject a pending request created by a Manager.","openapi":"api-reference/Fundflow-API.yaml POST /v1/ramp-requests/{id}/reject","href":"/api-reference/Fundflow-API/ramp-requests/reject-a-ramp-request"},{"title":"Cancel a ramp request","openapi":"api-reference/Fundflow-API.yaml POST /v1/ramp-requests/{id}/cancel","href":"/api-reference/Fundflow-API/ramp-requests/cancel-a-ramp-request"},{"title":"Edit the amount of a ramp request","openapi":"api-reference/Fundflow-API.yaml PUT /v1/ramp-requests/{id}/amount","href":"/api-reference/Fundflow-API/ramp-requests/edit-the-amount-of-a-ramp-request"},{"title":"Initiate an off-ramp request with transaction hash","openapi":"api-reference/Fundflow-API.yaml PATCH /v1/ramp-requests/{id}/initiate","href":"/api-reference/Fundflow-API/ramp-requests/initiate-a-ramp-request-with-transaction-hash"},{"title":"Update transaction hash","openapi":"api-reference/Fundflow-API.yaml PATCH /v1/ramp-requests/{id}/tx-hash","href":"/api-reference/Fundflow-API/ramp-requests/update-transaction-hash"},{"title":"Get available on-ramp currency pairs","openapi":"api-reference/Fundflow-API.yaml GET /v1/ramp-requests/on-ramp/pairs","href":"/api-reference/Fundflow-API/ramp-requests/get-available-on-ramp-currency-pairs"},{"title":"Get available off-ramp currency pairs","openapi":"api-reference/Fundflow-API.yaml GET /v1/ramp-requests/off-ramp/pairs","href":"/api-reference/Fundflow-API/ramp-requests/get-available-off-ramp-currency-pairs"},{"title":"Export ramp requests","openapi":"api-reference/Fundflow-API.yaml GET /v1/ramp-requests/export","href":"/api-reference/Fundflow-API/ramp-requests/export-ramp-requests"}]},{"group":"Fees","pages":[{"title":"Get company fee configuration","openapi":"api-reference/Fundflow-API.yaml GET /v1/fees","href":"/api-reference/Fundflow-API/fees/get-company-fee-configuration"},{"title":"Calculate fee for a ramp request","openapi":"api-reference/Fundflow-API.yaml POST /v1/fees/calculate","href":"/api-reference/Fundflow-API/fees/calculate-fee-for-a-ramp-request"}]},{"group":"Company","pages":[{"title":"Get company details","openapi":"api-reference/Fundflow-API.yaml GET /v1/company","href":"/api-reference/Fundflow-API/company/get-company-details"}]},{"group":"Company Wallets","pages":[{"title":"List company wallets","openapi":"api-reference/Fundflow-API.yaml GET /v1/company-wallets","href":"/api-reference/Fundflow-API/company-wallets/list-company-wallets"},{"title":"Whitelist a company wallet","openapi":"api-reference/Fundflow-API.yaml POST /v1/company-wallets","href":"/api-reference/Fundflow-API/company-wallets/create-a-company-wallet"},{"title":"Get company wallet by ID","openapi":"api-reference/Fundflow-API.yaml GET /v1/company-wallets/{id}","href":"/api-reference/Fundflow-API/company-wallets/get-company-wallet-by-id"},{"title":"Update company wallet","openapi":"api-reference/Fundflow-API.yaml PATCH /v1/company-wallets/{id}","href":"/api-reference/Fundflow-API/company-wallets/update-company-wallet"}]},{"group":"Company Bank Accounts","pages":[{"title":"List company bank accounts","openapi":"api-reference/Fundflow-API.yaml GET /v1/company-bank-accounts","href":"/api-reference/Fundflow-API/company-bank-accounts/list-company-bank-accounts"},{"title":"Whitelist a company bank account","openapi":"api-reference/Fundflow-API.yaml POST /v1/company-bank-accounts","href":"/api-reference/Fundflow-API/company-bank-accounts/create-a-company-bank-account"},{"title":"Get company bank account by ID","openapi":"api-reference/Fundflow-API.yaml GET /v1/company-bank-accounts/{id}","href":"/api-reference/Fundflow-API/company-bank-accounts/get-company-bank-account-by-id"},{"title":"Update company bank account","openapi":"api-reference/Fundflow-API.yaml PATCH /v1/company-bank-accounts/{id}","href":"/api-reference/Fundflow-API/company-bank-accounts/update-company-bank-account"}]},{"group":"Bank Account Configuration","pages":[{"title":"Get bank account configuration","openapi":"api-reference/Fundflow-API.yaml GET /v1/bank-accounts/config","href":"/api-reference/Fundflow-API/bank-account-configuration/get-bank-account-configuration"}]},{"group":"Deposit Wallets","pages":[{"title":"Get deposit wallets","openapi":"api-reference/Fundflow-API.yaml GET /v1/deposit-wallets","href":"/api-reference/Fundflow-API/deposit-wallets/list-deposit-wallets"}]},{"group":"Users","pages":[{"title":"List company users","openapi":"api-reference/Fundflow-API.yaml G
[...]
